import request from '@/utils/request'

// 查询仪联锁测试列表
export function listInstrumentTest(query) {
  return request({
    url: '/pssr/instrumentTest/list',
    method: 'get',
    params: query
  })
}

// 查询仪联锁测试详细
export function getInstrumentTest(id) {
  return request({
    url: '/pssr/instrumentTest/' + id,
    method: 'get'
  })
}

// 新增仪联锁测试
export function addInstrumentTest(data) {
  return request({
    url: '/pssr/instrumentTest',
    method: 'post',
    data: data
  })
}

// 修改仪联锁测试
export function updateInstrumentTest(data) {
  return request({
    url: '/pssr/instrumentTest',
    method: 'put',
    data: data
  })
}

//
export function updateInstrumentTestBatch(data) {
  return request({
    url: '/pssr/instrumentTest/editBatch',
    method: 'put',
    data: data
  })
}


// 删除仪联锁测试
export function delInstrumentTest(id) {
  return request({
    url: '/pssr/instrumentTest/' + id,
    method: 'delete'
  })
}

// 导出仪联锁测试
export function exportInstrumentTest(query) {
  return request({
    url: '/pssr/instrumentTest/export',
    method: 'get',
    params: query
  })
}
